apiVersion: k8s.cni.cncf.io/v1
kind: NetworkAttachmentDefinition
metadata:
  annotations:
    k8s.ovn.org/network-id: '4'
    k8s.ovn.org/network-name: radek-passt_primary-udn
  resourceVersion: '10937086'
  name: primary-udn
  uid: 17708361-598a-4359-bd5e-074562e1a558
  creationTimestamp: '2025-08-19T12:02:43Z'
  generation: 1
  managedFields:
    - apiVersion: k8s.cni.cncf.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:k8s.ovn.org/network-id': {}
            'f:k8s.ovn.org/network-name': {}
      manager: '[clustermanager-nad-controller NAD controller]'
      operation: Update
      time: '2025-08-19T12:02:43Z'
    - apiVersion: k8s.cni.cncf.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"k8s.ovn.org/user-defined-network-protection"': {}
          'f:labels':
            .: {}
            'f:k8s.ovn.org/user-defined-network': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"e69447b4-a9e6-4b17-812f-0ca69c781135"}': {}
        'f:spec':
          .: {}
          'f:config': {}
      manager: uit-420-0811-ldffx-master-2
      operation: Update
      time: '2025-08-19T12:02:43Z'
  namespace: radek-passt
  ownerReferences:
    - apiVersion: k8s.ovn.org/v1
      blockOwnerDeletion: true
      controller: true
      kind: UserDefinedNetwork
      name: primary-udn
      uid: e69447b4-a9e6-4b17-812f-0ca69c781135
  finalizers:
    - k8s.ovn.org/user-defined-network-protection
  labels:
    k8s.ovn.org/user-defined-network: ''
spec:
  config: '{"allowPersistentIPs":true,"cniVersion":"1.0.0","joinSubnet":"100.65.0.0/16,fd99::/64","name":"radek-passt_primary-udn","netAttachDefName":"radek-passt/primary-udn","role":"primary","subnets":"192.168.10.0/24","topology":"layer2","type":"ovn-k8s-cni-overlay"}'

